<?php
/*
 * @Author: wang jun
 * @Date: 2021-11-09 09:39:05
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-18 13:29:22
 */
namespace app\admin\controller;

use app\admin\logic\partylogic;
use app\admin\logic\webuserloglogic;
use think\Controller;
use think\facade\Log;

class Party extends AdminBase
{
    /**
     * 保存活动信息
     * 20220210
     * wj
     */
    public function saveinfo()
    {
        $param = request()->param();
        $l_p = new partylogic();
        $result = $l_p->saveinfo($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        //日志保存
        $data = $result['data'];
        $id = $data['id'];
        $isupdate = $data['isupdate'];
        $node = "新增活动";
        if ($isupdate) {
            $node = "修改活动";
        }
        $logData = [
            'wuid' => $this->webuserid,
            'type' => 3,
            'node' => $node,
            'refid' => $id,
            'tablename' => 'party',
        ];
        $l_wl = new webuserloglogic();
        $reulstlog = $l_wl->addlog($logData);
        if (1 != $reulstlog['status']) {
            Log::info($logData);
            Log::error("用户日志添加失败");
        }
        return backjson2(200, '操作成功', $result['data']);
    }
    /**
     * 根据id获取信息
     * 20220210
     * wj
     */
    public function getinfobyid()
    {
        $param = request()->param();
        $l_p = new partylogic();
        $result = $l_p->getinfobyid($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
    /**
     * 根据id获取信息
     * 20220210
     * wj
     */
    public function getlistbywhere()
    {
        $param = request()->param();
        $l_p = new partylogic();
        $result = $l_p->getlistbywhere($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
}
